Subject: Re: bug#62504: 30.0.50; SEGFAULT On M-x

From: Jacob Faibussowitsch <[email-masked]>
Date: Wed, 29 Mar 2023 11:31:36 -0400

Segfaults and errors are gone with this change.

Best regards,

Jacob Faibussowitsch
(Jacob Fai - booss - oh - vitch)

> On Mar 29, 2023, at 11:27, Andrea Corallo <[email-masked]> wrote:
> 
> Jacob Faibussowitsch <[email-masked]> writes:
> 
>> Looks like I jumped the gun on blaming the segfaults on
>> 52b67740d10df8ca539fdc2c7d50283997683141. They still happen before
>> it. Interestingly they only appear to happen if the
>> `(wrong-number-of-arguments #<subr signal> 2)` error has not fired.
>> 
>> For example, my setup lazy-loads many packages (among them yasnippet
>> and auto-complete) on an idle timer or eagerly if I invoke/reference
>> an auto-loaded symbol. If I wait for the idle timer to lazy load
>> e.g. yasnippet then I get `(wrong-number-of-arguments #<subr signal>
>> 2)`. But if I try to eagerly load yasnippet via auto-load then I get a
>> segfault instead.
>> 
>> I don’t know how to reliably reproduce this unfortunately...
>> 
>> Best regards,
> 
> Please try now after I reverted 4a7a0c9a9f5 263d6c38539.
> 
>  Andrea